package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringUtils;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * @author yrf
 * @date 2019/12/27 14:28
 */
public class WrongQuestionV4Req extends BaseRequest {

    private final static long serialVersionUID = 1L;

	@ApiModelProperty(name = "type", value = "查询类型：1（正常的错题查看），2（打印类型为打印原题时），3（学习成长报告错题，此时beginDate、endDate失效），5（打印类型为打印图片时），默认为1", required = true)
	@Min(1)
	@Max(5)
	private Integer type = 1;

	@ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
	private int    pageNo = 1;

	@ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
	private int    pageSize = 10;

	@NotBlank
	@ApiModelProperty(name = "vipId", value = "学生vipId", required = true)
	private String vipId;

	@NotBlank
	@ApiModelProperty(name = "subject", value = "科目", required = true)
	private String subject;

	@NotBlank
	@ApiModelProperty(name = "module", value = "模块", required = true)
	private String module;

	@ApiModelProperty(name = "beginDate", value = "查询错题的开始日期，如：2019.04.02")
	private String beginDate;

	@ApiModelProperty(name = "endDate", value = "查询错题的结束日期，如：2019.04.02")
	private String endDate;

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getModule() {
		return module;
	}

	public void setModule(String module) {
		this.module = module;
	}

	public String getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(String beginDate) {
		if (StringUtils.isNotBlank(beginDate)) {
			this.beginDate = beginDate;
		}
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		if (StringUtils.isNotBlank(endDate)) {
			this.endDate = endDate;
		}
	}

}
